Page MenuHomePhabricator

Gate pipeline build mysteriously failing for core patch
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/c/mediawiki/core/+/514105 needs to be merged in order for https://gerrit.wikimedia.org/r/c/mediawiki/extensions/PageTriage/+/514108 to go out, which fixes the high-priority T223828: Redirects not appearing in New Page Patrol.

It would seem the failure is unrelated to the code introduced with the patch, but it failed twice in the same place.

Most recent build: https://integration.wikimedia.org/ci/job/wmf-quibble-core-vendor-mysql-php72-docker/2754/console

17:49:49 There were 3 errors:
17:49:49 
17:49:49 1) SpecialPageFatalTest::testSpecialPageDoesNotFatal with data set "RunJobs" (SpecialRunJobs Object (...))
17:49:49 === Logs generated by test case
17:49:49 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
17:49:49 ===
17:49:49 Headers already sent, should send headers earlier than wfHttpError [Called from MediaWiki\HeaderCallback::warnIfHeadersSent in /workspace/src/includes/HeaderCallback.php at line 65]
17:49:49 
17:49:49 /workspace/src/includes/debug/MWDebug.php:309
17:49:49 /workspace/src/includes/debug/MWDebug.php:164
17:49:49 /workspace/src/includes/HeaderCallback.php:65
17:49:49 /workspace/src/includes/libs/HttpStatus.php:104
17:49:49 /workspace/src/includes/GlobalFunctions.php:1651
17:49:49 /workspace/src/includes/specials/SpecialRunJobs.php:50
17:49:49 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php:108
17:49:49 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php:36
17:49:49 /workspace/src/tests/phpunit/structure/SpecialPageFatalTest.php:34
17:49:49 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
17:49:49 /workspace/src/maintenance/doMaintenance.php:99
17:49:49 
17:49:49 2) SpecialPageFatalTest::testSpecialPageDoesNotFatal with data set "JavaScriptTest" (SpecialJavaScriptTest Object (...))
17:49:49 === Logs generated by test case
17:49:49 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
17:49:49 ===
17:49:49 Cannot modify header information - headers already sent by (output started at /workspace/src/extensions/Echo/tests/phpunit/ContainmentSetTest.php:75)
17:49:49 
17:49:49 /workspace/src/includes/specials/SpecialJavaScriptTest.php:195
17:49:49 /workspace/src/includes/specials/SpecialJavaScriptTest.php:53
17:49:49 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php:108
17:49:49 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php:36
17:49:49 /workspace/src/tests/phpunit/structure/SpecialPageFatalTest.php:34
17:49:49 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
17:49:49 /workspace/src/maintenance/doMaintenance.php:99
17:49:49 
17:49:49 3) SpecialPageFatalTest::testSpecialPageDoesNotFatal with data set "MobileDiff" (SpecialMobileDiff Object (...))
17:49:49 === Logs generated by test case
17:49:49 [wfDebug] [debug] IP: 127.0.0.1 {"private":false}
17:49:49 ===
17:49:49 Cannot modify header information - headers already sent by (output started at /workspace/src/extensions/Echo/tests/phpunit/ContainmentSetTest.php:75)
17:49:49 
17:49:49 /workspace/src/includes/libs/HttpStatus.php:112
17:49:49 /workspace/src/includes/GlobalFunctions.php:1651
17:49:49 /workspace/src/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php:41
17:49:49 /workspace/src/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php:100
17:49:49 /workspace/src/extensions/MobileFrontend/includes/specials/MobileSpecialPage.php:74
17:49:49 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php:108
17:49:49 /workspace/src/tests/phpunit/includes/specials/SpecialPageExecutor.php:36
17:49:49 /workspace/src/tests/phpunit/structure/SpecialPageFatalTest.php:34
17:49:49 /workspace/src/tests/phpunit/MediaWikiTestCase.php:427
17:49:49 /workspace/src/maintenance/doMaintenance.php:99

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJun 7 2019, 8:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MaxSem claimed this task.Jun 10 2019, 5:12 PM
MaxSem moved this task from Ready to In Development on the Community-Tech (Resolved 2018-19 Q4) board.

Change 516330 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/Echo@master] tests: Remove local override for editPage()

https://gerrit.wikimedia.org/r/516330

Change 516330 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] tests: Remove local override for editPage()

https://gerrit.wikimedia.org/r/516330

MaxSem closed this task as Resolved.Jun 11 2019, 1:14 AM